package meerkat.voting.gui.ui.uicommands;

import meerkat.protobuf.Voting.UIElement;
import meerkat.voting.controller.callbacks.*;

/**
 * This command signals the UI that a fatal error occurred and it should notify the voter
 */
public class FatalErrorUICommand extends UICommand<Integer> {

    private final UIElement errorMessage;
    private final UIElement[] buttonLabels;

    public FatalErrorUICommand(UIElement errorMessage, UIElement[] buttonLabels, ControllerCallback<Integer> callback)
    {
        super(callback);
        this.errorMessage = errorMessage;
        this.buttonLabels = buttonLabels;
    }

    public UIElement getErrorMessage() {
        return errorMessage;
    }

    public UIElement[] getButtonLabels() {
        return buttonLabels;
    }
}
